


function prepareProps()
{
    makeGroup("mail", "Email-Einstellungen");
    makeItem("SMTP-Server", "Email-Ausgangsserver, über den die Email versendet wird.", "/config/credentials/mail/mailserver", "string", "mail");
    makeItem("Login", "Username für SMTP-Server", "/config/credentials/mail/login", "string", "mail");
    makeItem("Passwort", "Passwort für SMTP-Servers.", "/config/credentials/mail/password", "password", "mail");
    makeItem("Absender Email", "Email-Adresse, der als Absender der Email gesetzt wird", "/config/credentials/mail/sender", "string", "mail");
    makeItem("Empfänger Email", "Email-Adresse, die als Empfänger der Email verwendet wird", "/config/credentials/mail/receiver", "string", "mail");
}


function saveDataExtra()
{
    var propBase = Property.getNode('/config/credentials/mail/mailserver');
    var propShadow;
    if (propBase) 
    {
        propShadow = new Property("mailserver")
        propShadow.setValue(propBase.getValue());
        propShadow.setFlag('ARCHIVE', true);
    }
    propBase = Property.getNode('/config/credentials/mail/login');
    if (propBase) 
    {
        propShadow = new Property("login")
        propShadow.setValue(propBase.getValue());
        propShadow.setFlag('ARCHIVE', true);
    }
    propBase = Property.getNode('/config/credentials/mail/password');
    if (propBase) 
    {
        propShadow = new Property("password")
        propShadow.setValue(propBase.getValue());
        propShadow.setFlag('ARCHIVE', true);
    }
    propBase = Property.getNode('/config/credentials/mail/sender');
    if (propBase) 
    {
        propShadow = new Property("sender")
        propShadow.setValue(propBase.getValue());
        propShadow.setFlag('ARCHIVE', true);
    }
    propBase = Property.getNode('/config/credentials/mail/receiver');
    if (propBase) 
    {
        propShadow = new Property("receiver")
        propShadow.setValue(propBase.getValue());
        propShadow.setFlag('ARCHIVE', true);
    }
    Property.store();
}


function loadDataExtra()
{
    var propShadow = Property.getNode('mailserver');
    var propBase;
    if (propShadow) 
    {
        propBase = new Property("/config/credentials/mail/mailserver")
        propBase.setValue(propShadow.getValue());
    }
    propShadow = Property.getNode('login');
    if (propShadow) 
    {
        propBase = new Property("/config/credentials/mail/login")
        propBase.setValue(propShadow.getValue());
    }
    propShadow = Property.getNode('password');
    if (propShadow) 
    {
        propBase = new Property("/config/credentials/mail/password")
        propBase.setValue(propShadow.getValue());
    }
    propShadow = Property.getNode('sender');
    if (propShadow) 
    {
        propBase = new Property("/config/credentials/mail/sender")
        propBase.setValue(propShadow.getValue());
    }
    propShadow = Property.getNode('receiver');
    if (propShadow) 
    {
        propBase = new Property("/config/credentials/mail/receiver")
        propBase.setValue(propShadow.getValue());
    }
}


function main()
{
    var fHandled = _propertyMain();
    
    if (raisedEvent.parameter.actions === "save") 
        saveDataExtra();
    if (raisedEvent.parameter.actions === "load") 
        loadDataExtra();
}


main();
